<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    tools:context=".Tab1">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <TextView
            android:id="@+id/text1"
            android:layout_width="0dp"
            android:layout_height="32dp"
            android:ems="10"
            android:text="Element 1"
            android:textAlignment="center"
            android:textColor="@color/white"
            android:textSize="24sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/numOfButton"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:digits="1234567890"
            android:hint="Amount of buttons"
            android:imeOptions="actionDone"
            android:inputType="number"
            android:maxLength="1"
            android:maxLines="1"
            android:textColor="@color/white"
            android:textColorHint="@color/gray_hint"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/text1" />

        <TextView
            android:id="@+id/text"
            android:layout_width="0dp"
            android:layout_height="32dp"
            android:ems="10"
            android:text="How much to add per button"
            android:textAlignment="center"
            android:textColor="@color/white"
            android:textSize="24sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/numOfButton" />

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/toAdd"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:digits="1234567890"
            android:hint="Button 1"
            android:imeOptions="actionDone"
            android:inputType="number"
            android:maxLength="1"
            android:maxLines="1"
            android:textColor="@color/white"
            android:textColorHint="@color/gray_hint"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/text" />

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/toAdd2"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:digits="1234567890"
            android:hint="Button 2"
            android:imeOptions="actionDone"
            android:inputType="number"
            android:maxLength="1"
            android:maxLines="1"
            android:textColor="@color/white"
            android:textColorHint="@color/gray_hint"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/toAdd" />

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/toAdd3"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:digits="1234567890"
            android:hint="Button 3"
            android:imeOptions="actionDone"
            android:inputType="number"
            android:maxLength="1"
            android:maxLines="1"
            android:textColor="@color/white"
            android:textColorHint="@color/gray_hint"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/toAdd2" />

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/toAdd4"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:digits="1234567890"
            android:hint="Button 4"
            android:imeOptions="actionDone"
            android:inputType="number"
            android:maxLength="1"
            android:maxLines="1"
            android:textColor="@color/white"
            android:textColorHint="@color/gray_hint"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/toAdd3" />

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/toAdd5"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:digits="1234567890"
            android:hint="Button 5"
            android:imeOptions="actionDone"
            android:inputType="number"
            android:maxLength="1"
            android:maxLines="1"
            android:textColor="@color/white"
            android:textColorHint="@color/gray_hint"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/toAdd4" />

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/toAdd6"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:digits="1234567890"
            android:hint="Button 6"
            android:imeOptions="actionDone"
            android:inputType="number"
            android:maxLength="1"
            android:maxLines="1"
            android:textColor="@color/white"
            android:textColorHint="@color/gray_hint"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/toAdd5" />

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/toAdd7"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:digits="1234567890"
            android:hint="Button 7"
            android:imeOptions="actionDone"
            android:inputType="number"
            android:maxLength="1"
            android:maxLines="1"
            android:textColor="@color/white"
            android:textColorHint="@color/gray_hint"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/toAdd6" />

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/toAdd8"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:digits="1234567890"
            android:hint="Button 8"
            android:imeOptions="actionDone"
            android:inputType="number"
            android:maxLength="1"
            android:maxLines="1"
            android:textColor="@color/white"
            android:textColorHint="@color/gray_hint"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/toAdd7" />

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/toAdd9"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:digits="1234567890"
            android:hint="Button 9"
            android:imeOptions="actionDone"
            android:inputType="number"
            android:maxLength="1"
            android:maxLines="1"
            android:textColor="@color/white"
            android:textColorHint="@color/gray_hint"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/toAdd8" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>